summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-plasma/plasma-vault')
-rw-r--r--kde-plasma/plasma-vault/Manifest1
-rw-r--r--kde-plasma/plasma-vault/plasma-vault-5.12.1.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/kde-plasma/plasma-vault/Manifest b/kde-plasma/plasma-vault/Manifest
index a1d855d7024d..f5166c12b60d 100644
--- a/kde-plasma/plasma-vault/Manifest
+++ b/kde-plasma/plasma-vault/Manifest
@@ -1,2 +1,3 @@
DIST plasma-vault-5.11.5.tar.xz 97556 BLAKE2B b6a1b8bb4660c8e00ea0dcd098eead4171f44f747f5fd4ce414b35a00e36c9433ea9540b620c713d613e903deb3ef008add1549e163bc4644f0c330392362d17 SHA512 7505afee50f1f0a5340d9a2936ac9534326acf5abe4cf4009efa21584e3fcee54b58311ab850b94e601df85dd446d6ccfffdb18d2839536c6730d3bf7ef96541
DIST plasma-vault-5.12.0.tar.xz 102160 BLAKE2B 267c5182095012850867f17989211b9eb3ef30671f09951446d2f008081a2083db8c1b7fcd55dd1c1309e198955c2f1220c81f2cf1ec54cdccf6392c8e460447 SHA512 b03b19d892232a0e7eaa4d2115bde5a5351c1f181e7808188d36bdb8935d5d8c78607ed4d9d45180389039cff127919de6595a9f01fc8eae4d299becb3ce987b
+DIST plasma-vault-5.12.1.tar.xz 102104 BLAKE2B e83d89c0181fe1524505bb1d2b2c2e03a3606e4ed5ff0fcc8ccf90537ee8b0156e61f27959825c80e433cd9730500eb4002dcfe7fe3e49173075ba9f1b9c5e7f SHA512 300c6eea0f95112aa14ac4a27eaf26941e4b3a12a1681da3120bf235dc973003a0fffc3916979616b6c71bf3481f6fa855ce15e72b349fac4e9e3399d5843b63
diff --git a/kde-plasma/plasma-vault/plasma-vault-5.12.1.ebuild b/kde-plasma/plasma-vault/plasma-vault-5.12.1.ebuild
new file mode 100644
index 000000000000..307ac700cfda
--- /dev/null
+++ b/kde-plasma/plasma-vault/plasma-vault-5.12.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit kde5
+
+DESCRIPTION="Plasma applet and services for creating encrypted vaults"
+HOMEPAGE+=" http://cukic.co/2017/02/03/vaults-encryption-in-plasma/"
+
+LICENSE="LGPL-3"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+ $(add_frameworks_dep kactivities)
+ $(add_frameworks_dep kcodecs)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdbusaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep plasma)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_plasma_dep libksysguard)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtdeclarative)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwidgets)
+"
+RDEPEND="${DEPEND}
+ || ( >=sys-fs/encfs-1.9.2 sys-fs/cryfs )
+"